#ifndef __ENTRIES_H__
#define __ENTRIES_H__

#include <unistd.h>
#include <ncurses.h>
#include <string.h>
#include <strings.h>
#include <ctype.h>
#include <stdlib.h>
#include <form.h>

#define EDIT_MODE       0
#define VIEW_MODE       1

/* Limit what the user can input at the search prompt */

#define MAX_INPUT_BUFFER	15

int editentry(const char* entry);
void draw_entrywin(WINDOW* editwin, char* name_banner, char* value, int c);
void commit_data_field(const char* proc_file, const char* value);
void stripoff(char* value);

#endif
