#ifndef __SEARCH_H__
#define __SEARCH_H__

#include <unistd.h>
#include <stdlib.h>
#include <ncurses.h>
#include <form.h>
#include <glob.h>
#include "entries.h"
#include "scr_err_hndl.h"

#define MAX_INPUT_BUF	15

#define MAX_SEARCH_ITEMS	256

typedef struct {
        int nr_entries;
	int entry_len;
        char fname[256];
} search_entries;

typedef search_entries s_entries;

s_entries srch_item[MAX_SEARCH_ITEMS];

void draw_searchwin(WINDOW* searchwin);
char* input_pattern(void);
void search_pattern(const char* pattern);
WINDOW** draw_search_results(const char* pat);
void draw_search_menuwin(const char* pat);
void get_number_entries(const char* file, const char * pattern);
void draw_srchbanner(WINDOW* search_banner);
#endif
