#ifndef __DBG_H__
#define __DBG_H__

/*
 * LOG_CALL: The official debugging facility of LKCP. It is based on C standard extensions like __FUNCTION__.
 */

#ifdef DEBUG
#define LOG_CALL(a)	\
	(a==0) ? 	\
		fprintf(f, "Entering %s(SCL: %d): %s\n", __FILE__, __LINE__, __FUNCTION__): \
		fprintf(f, "Exiting %s(SCL: %d): %s\n", __FILE__, __LINE__, __FUNCTION__)
#else
#define LOG_CALL(a)
#endif

/*
 * LOG_MSG: 
 */
#ifdef DEBUG
#define LOG_MSG(a)	\
	fprintf(f, "%s(SCL: %d): %s -> %s\n", __FILE__, __LINE__, __FUNCTION__, a);
#else
#define LOG_MSG(a)
#endif

#ifdef DEBUG
FILE* f;
void create_logfile(FILE* f);
#endif

#endif
